com.pixelmed.apps

## Class DoseUtility.OurMultipleInstanceTransferStatusHandler

- java.lang.Object
- - com.pixelmed.network.MultipleInstanceTransferStatusHandler
  - - com.pixelmed.network.MultipleInstanceTransferStatusHandlerWithFileName
    - - com.pixelmed.apps.DoseUtility.OurMultipleInstanceTransferStatusHandler

Enclosing class:
  DoseUtility

    protected class DoseUtility.OurMultipleInstanceTransferStatusHandler
    extends MultipleInstanceTransferStatusHandlerWithFileName

### Method Summary

Methods
`void` `updateStatus(int nRemaining, int nCompleted, int nFailed, int nWarning, java.lang.String sopInstanceUID, java.lang.String fileName, boolean success)`

### Methods inherited from class com.pixelmed.network.MultipleInstanceTransferStatusHandlerWithFileName

`updateStatus`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### updateStatus

    public void updateStatus(int nRemaining,
                    int nCompleted,
                    int nFailed,
                    int nWarning,
                    java.lang.String sopInstanceUID,
                    java.lang.String fileName,
                    boolean success)

Specified by:
  `updateStatus` in class `MultipleInstanceTransferStatusHandlerWithFileName`